curl --request GET \
--url https://api.komerza.com/stores/{storeId}/tickets/{ticketId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"subject": "<string>",
"status": 0,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emailAddress": "<string>",
"entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"message": "<string>",
"name": "<string>"
}
]
}
}Gets a ticket by the ID in the given store and returns it.
Requires the stores.tickets.view permission.
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/tickets/{ticketId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"subject": "<string>",
"status": 0,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emailAddress": "<string>",
"entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"message": "<string>",
"name": "<string>"
}
]
}
}Your API key goes here
The ID of the store to get the ticket from
The ID of the ticket to get
The object was successfully returned.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
A ticket opened by a customer in relation to a question or problem with a product
Show child attributes
Was this page helpful?